

# --------------------------------------------
# site
# --------------------------------------------


- classname: _permission
  keyname: p_data_site_admin
  is_builtin: True
  description: "Built-in data_site admin permission"
  displayname: "p_data_site_admin"

- classname: _permission
  keyname: p_data_site_create
  is_builtin: True
  description: "Built-in data_site create permission"
  displayname: p_data_site_create

- classname: _permission
  keyname: p_data_site_read
  is_builtin: True
  description: "Built-in data_site read permission"
  displayname: p_data_site_read

- classname: _permission
  keyname: p_data_site_update
  is_builtin: True
  description: "Built-in data_site update permission"
  displayname: p_data_site_update
      
- classname: _permission
  keyname: p_data_site_delete
  is_builtin: True
  description: "Built-in data_site delete permission"
  displayname: p_data_site_delete

- classname: _permission
  keyname: p_data_site_import
  is_builtin: True
  description: "Built-in data_site import permission"
  displayname: p_data_site_import

- classname: _permission
  keyname: p_data_site_export
  is_builtin: True
  description: "Built-in data_site export permission"
  displayname: p_data_site_export
      

# -- schema: site

- classname: _schema
  keyname: site
  displayname: Sites
  is_enabled: yes
  order: 50
  page: Data
  icon: fa-hospital-o
  handle_method: md5
  p_admin: p_data_site_admin
  p_create: p_data_site_create
  p_read: p_data_site_read
  p_update: p_data_site_update
  p_delete: p_data_site_delete
  p_import: p_data_site_import
  p_export: p_data_site_export
  description:
        _action: create
        displayname: Description
        order: 100
        dataformat: string

  notify_user:
        displayname: Notify (Users)
        page: Notifications
        order: 200
        dataformat: user
        cardinal_max: 0

  notify_group:
        displayname: Notify (Groups)
        page: Notifications
        order: 210
        dataformat: group
        cardinal_max: 0        

  notify_app:      
        displayname: Notify (Apps)
        page: Notifications
        order: 220
        dataformat: schema
        dataformat_ext: app
        cardinal_max: 0

                        